﻿@{    
    Layout = "~/Views/Layout/Dashboard.cshtml";
}

@model Toyota.Common.Web.MVC.ModelHolder
           
@section Script {
    function executeDummyBackgroundTask() {
        var paramMap = {};
        _cmfunc_executeBackgroundTask("DummyTask", paramMap, function() { alert("finished"); }, function() { alert("error"); });
    }

    function registerBackgroundTask() {
        $.ajax({
            url: _cmfunc_getActionUrl("DummyMessageBoard"),
            success: function(data) {
                alert(data);
            }
        });
    }
}

@Html.Common().DevExpress().MessageBoardOpenButton(
    btsettings => {
        btsettings.Name = "btOpenMessageBoard";
        btsettings.BoardId = "messageBoard";
        btsettings.Text = "Message Board";
    }
).GetHtml()
<br /><br /><br />
@Html.Common().DevExpress().MessageBoardOpenImage(
    settings => {
        settings.Name = "imgOpenMessageBoard";
        settings.BoardId = "messageBoard";
        settings.BoardName = "Test";
        settings.Dimension = ImageDimension.SQUARE_128;
    }
).GetHtml()

@Html.Common().DevExpress().MessageBoard(
    msettings =>
    {
        msettings.Name = "messageBoard";
        msettings.BoardName = "Test";
        msettings.Position = MessageBoardPosition.RIGHT;
    }
).GetHtml()

<br /><br />
@Html.DevExpress().Button(
    settings => {
        settings.Name = "btExecuteDummyBackgroundTask";
        settings.Text = "Execute Dummy Background Task";
        settings.ClientSideEvents.Click = "function(s,e) { executeDummyBackgroundTask(); }";
    }
).GetHtml()

<br /><br />
@Html.DevExpress().Button(
    settings => {
        settings.Name = "btRegisterBackgroundTask";
        settings.Text = "Register Background Task";
        settings.ClientSideEvents.Click = "function(s,e) { registerBackgroundTask(); }";
    }
).GetHtml()